package com.ruoyi.learn.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生对象 learn_student
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public class LearnStudent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学生用户ID */
    private Long studentId;

    /** 班级ID */
    @Excel(name = "班级ID")
    private Long classId;

    /** 学校ID */
    @Excel(name = "学校ID")
    private Long schoolId;

    /** 校区ID */
    @Excel(name = "校区ID")
    private Long campusId;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    @Excel(name = "定向键")
    private String directKey;

    @Excel(name = "定向考试类型")
    private String modules;

    @Excel(name = "专业组")
    private String majorGroup;

    /** 计划专业id */
    @Excel(name = "计划专业id")
    private Long majorPlanId;


    @Excel(name = "考生类型")
    private String examType;

    private String studentName;
    private String paperId;
    private Integer status;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getCampusId() {
        return campusId;
    }

    public void setCampusId(Long campusId) {
        this.campusId = campusId;
    }

    public Long getUniversityId() {
        return universityId;
    }

    public void setUniversityId(Long universityId) {
        this.universityId = universityId;
    }

    public String getDirectKey() {
        return directKey;
    }

    public void setDirectKey(String directKey) {
        this.directKey = directKey;
    }

    public String getMajorGroup() {
        return majorGroup;
    }

    public void setMajorGroup(String majorGroup) {
        this.majorGroup = majorGroup;
    }

    public Long getMajorPlanId() {
        return majorPlanId;
    }

    public void setMajorPlanId(Long majorPlanId) {
        this.majorPlanId = majorPlanId;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public String getModules() {
        return modules;
    }

    public void setModules(String modules) {
        this.modules = modules;
    }
}
